Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/customobjects/postapi-v-1-custom-objects-object-type-id-list-download

# Export custom objects to CSV (async, emailed)

POST `https://{tenant}.atomicwork.com/api/v1/custom-objects/{objectTypeId}/list/download`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### objectTypeId (path, integer, required)

The object type ID to export

## Body

#### sort\_order (body, string)

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X POST 'https://{tenant}.atomicwork.com/api/v1/custom-objects/{objectTypeId}/list/download' \
  -H 'X-Api-Key: <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{"sort_order": "string"}'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/custom-objects/{objectTypeId}/list/download', {
  method: 'POST',
  headers: {
    'X-Api-Key': '<api-key>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"sort_order": "string"}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.post(
    'https://{tenant}.atomicwork.com/api/v1/custom-objects/{objectTypeId}/list/download',
    headers={'X-Api-Key': '<api-key>'},
    json={"sort_order": "string"}
)
data = res.json()
```
